namespace Application.Subjects.DTOs;

public record SubjectDto(
    int Id,
    string Name,
    int Credits,
    int ProfessorId,
    string ProfessorName);

public record AvailableSubjectDto(
    int Id,
    string Name,
    int Credits,
    int ProfessorId,
    string ProfessorName,
    bool IsAvailable,
    string? UnavailableReason);
